[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLTransactionOption

Transaction control options

## Declaration

Source position: sqldb.pp line 318

`type TSQLTransactionOption = (`
`stoUseImplicit,` |  | Use implicit transaction control if the engine allows it.
`stoExplicitStart` |  | Require explicit start of transactions by TSQLQuery
`);`

## Description

TSQLTransactionOption enumerates several options that can be used to control the transaction behaviour of TSQLTransaction.

## See also

TSQLTransaction |  | Transaction in which a TSQLQuery is handled
TSQLTransaction.Options |  | Transaction options